List = [1,2,3,4,5,6,7]

m=0
for i in List:
    if m<i:
        m = i

print m

############
m=0
mi=0
for i in range(len(List)):
    if m<List[i]:
        m = List[i]
        mi = i

print m
print mi

###########
m=0
for e in List:
 if m<e:
  m=e
mi=List.index(m)
print mi
###############		
myList=[]
for i in range(10):
    myList.append(1)
print myList
myList[9] = 3
print myList

#### 2D array
myArray=[[1,2,5,6],[3,4]]
print myArray
myArray[0][1] = 10
print myArray
# imshow one by one
for i in range(len(myArray)): #get the number of rows
 for j in range(len(myArray[i])): #number of elements in a row
  print myArray[i][j]
  myArray[1][0]=9
print myArray

for row in myArray:
 for e in row:
  print e
##
a = [0 for j in range(3)] #1D
print a

b=[[0 for j in range(3)] for i in range(2)] #2D
print b

# myArray=[[0 for j in range(n)] for i in range(m)] #m x n array
myArray=[[0 for j in range(3)] for i in range(3)] #3D
print myArray

myArray=[[0 for j in range(3)] for i in range(4)] #3D
print myArray
